<template>
  <div id="app">
    <NavBar />
    <router-view :key="$route.fullPath" v-if="isRouterAlive" />
    <Footer />
  </div>
</template>
<script>
import NavBar from "@/components/NavBar";
import Footer from "@/components/Footer";
export default {
  components: { NavBar, Footer },
  data() {
    return {
      isRouterAlive: true,
    };
  },
  methods: {
    reload() {
      this.isRouterAlive = false;
      this.$nextTick(() => (this.isRouterAlive = true));
    },
  },
};
</script>
<style lang="scss">
@import url("@/assets/styles/index.scss");
</style>
